import { request } from "umi";
import type { commonParams } from "@/api/index";

/**
 * 获取咨询申请列表
 * @param commonParams
 * @returns
 */
export const GetApplyList = (data: commonParams) => {
  return request("/api/appStore/consultationForm/list", {
    method: "POST",
    data,
  });
};

/**
 * 获取咨询申请详情
 * @param {id: string}
 * @returns
 */
export const GetApplyDetail = (data: {id: string}) => {
  return request("/api/appStore/consultationForm/detail", {
    method: "POST",
    data,
  });
};

/**
 * 提交咨询申请
 * @param ApplyItem
 * @returns
 */
export const SubmitApply = (data: ApplyItem) => {
  return request("/api/appStore/public/consultationForm/add", {
    method: "POST",
    data,
  });
};

/**
 * 处理咨询申请
 * @param ApplyItem
 * @returns
 */
export const HandleApply = (data: ApplyHandle) => {
  return request("/api/appStore/consultationForm/process", {
    method: "POST",
    data,
  });
};

export type ApplyItem = {
  name: string;
  tel: string;
  companyName: string;
  companySize: string;
  jobTitle: string;
  templateId: string;
  // 0: 应用模版 1: 模块模板
  type: number;
}

export type ApplyHandle = {
  id: string;
  status: number;
  processRemark: string;
}